/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package CatCore.Arrows;

import CatCore.CTO;
import CatCore.ConformanceError;
import CatCore.ExecutionError;
import CatCore.Var;

/**
 *
 * @author dsb
 */
public class ArrowRename extends Arrow {
    String extra;
    
    public ArrowRename(String name, String domain, String range, String extra) {
        super(name, domain, range);
        this.extra = extra;
    }
    
    @Override
    public void execute() throws ExecutionError, ConformanceError {
        CTO input = Var.get(domains[0],this);
        String newfilename = input.name()+extra+"."+input.dom()+"."+input.ext();
        copyfile(input.fullName(), newfilename);
        Var.put(CTO.make(newfilename));
        // assume that the file satisfies conformance constraints
    }
   
    // nothing to do at this time for validation, other than 
    // what is done for arrows in general.
    
    @Override
    public void startComputingIOArray() {
        clearSchemaAndConform();
        CatGui.MainGui.arrowFile = null;
        CatGui.MainGui.io = null;
    }
}
