/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pathexpression;

import CatCore.Arrows.Arrow;
import CatCore.Arrows.AorP;
import org.junit.Before;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class ArrowTest {
    
    public ArrowTest() {
    }
    
    @Before
    public void setUp() {
        AorP.init();
    }

    private void init() {
        Arrow a,b;
        a = new Arrow("a2b", "a","b");
        assert(a.name().equals("a2b"));
        b = new Arrow("b2c", "b","c");
        assert(b.name().equals("b2c"));
    }
    
    @Test
    public void test1() {
        init();
    }
    
    private void init2() {
        Arrow axb;
        axb = new Arrow("big","a*b","c*d");
        assert(axb.name().equals("big"));
    }
    
    @Test
    public void test2() {
        init2();
    }
    
    @Test
    public void test3() {
        init();
        AorP a = AorP.get("a2b");
        if (a instanceof Arrow) {
            Arrow ar = (Arrow) a;
            String[] domains = ar.domains();
            assert(domains.length ==1);
            assert(domains[0].equals("a"));
            String[] ranges = ar.ranges();
            assert(ranges.length ==1 );
            assert(ranges[0].equals("b"));
        }
        else {
            assert(false);
            return;
        }
        a = AorP.get("b2c");
        if (a instanceof Arrow) {
            Arrow ar = (Arrow) a;
            String[] domains = ar.domains();
            assert(domains.length ==1);
            assert(domains[0].equals("b"));
            String[] ranges = ar.ranges();
            assert(ranges.length ==1 );
            assert(ranges[0].equals("c"));
        }
        else {
            assert(false);
            return;
        }
        assert(true);
    }
    
    @Test
    public void test4() {
        init2();
        AorP big = AorP.get("big");
        if (big instanceof Arrow) {
            Arrow ar = (Arrow) big;
            String[] domains = ar.domains();
            assert(domains.length ==2);
            assert(domains[0].equals("a"));
            assert(domains[1].equals("b"));
            String[] ranges = ar.ranges();
            assert(ranges.length ==2 );
            assert(ranges[0].equals("c"));
            assert(ranges[1].equals("d"));
        }
        else {
            assert(false);
            return;
        }
        assert(true);
    }

  
}