/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pathexpression;

import CatCore.Arrows.Arrow;
import CatCore.Domains.Domain;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class ArrowTest1 {

    Arrow instance;

    public ArrowTest1() {
        instance = new Arrow();
    }

    @Test
    public void parseObject1() {
        String[] domains = instance.parseObject("abc", "A1");
        assert (domains.length == 1);
        assert (domains[0].equals("abc"));
    }

    @Test
    public void parseObject2() {
        try {
            instance.parseObject("", "A1");
        } catch (RuntimeException e) {
            String msg = e.getMessage();
            assert (msg.startsWith("empty domain in arrow"));
            return;
        }
        assert (false);
    }
    
    @Test
    public void parseObject3() {
        try {
            instance.parseObject("_", "A1");
        } catch (RuntimeException e) {
            String msg = e.getMessage();
            assert (msg.startsWith("empty domain in arrow"));
            return;
        }
        assert (false);
    }
    
    
    @Test
    public void parseObject4() {
        String[] domains = instance.parseObject("abc_def", "A1");
        assert (domains.length == 1);
        assert (domains[0].equals("abc_def"));
    }

     @Test
     public void trimsubscript1() {
     String y = Domain.getBaseName("abc");
     assert(y.equals("abc"));
     }
    
     @Test
     public void trimsubscript2() {
     String y = Domain.getBaseName("abc_def");
     assert(y.equals("abc"));
     }
    
     @Test
     public void trimsubscript3() {
     String y = Domain.getBaseName("abc_def_hij");
     assert(y.equals("abc"));
     }

}