:- discontiguous table/2.

%dbase(catdb,[arrowtype,path,domain,arrow]).

%table(arrowtype,[id,"name",type,"exe"]).
arrowtype(at0,'yuml2ypl',java,'yumlCDparser.Main').
arrowtype(at1,'ypl2yuml',vm,'ypl2yuml.vm').
arrowtype(at2,'ypl2sdb',pl,'ypl2sdb.pl').
arrowtype(at3,'sdb2ypl',pl,'sdb2ypl.pl').
arrowtype(at4,'violet2vpl',java,'violetCDparser.Main').
arrowtype(at5,'vpl2violet',vm,'vpl2violet.vm').
arrowtype(at6,'vpl2sdb',pl,'vpl2sdb.pl').
arrowtype(at7,'sdb2vpl',pl,'sdb2vpl.pl').
arrowtype(at8,'fix',pl,'fix.pl').
arrowtype(at9,'sdb2dotgraph',vm,'sdb2dot.vm').
arrowtype(at10,'sdb2dot',vm,'sdb2dot.vm').
arrowtype(at11,'kieler',java,'Positioner.Kieler').
arrowtype(at12,'dotpos2sdbpos',java,'Positioner.dot2sdb').
arrowtype(at13,'project',pl,'project.pl').

%table(path,["path"]).
path('yuml2hub = yuml2ypl.ypl2sdb.project.sdb2dot.kieler.dotpos2sdbpos.sdb+S.fix;').
path('class2hub = violet2vpl.vpl2sdb;').
path('hub2yuml = sdb2ypl.ypl2yuml;').
path('hub2class = sdb2vpl.vpl2violet;').

%table(domain,["id","name","ext",x,y]).
domain('StateNode0','yuml','yuml',46.0,84.0).
domain('StateNode1','ypl','pl',325.0,84.0).
domain('StateNode2','sdb','pl',643.0,84.0).
domain('StateNode3','dotgraph','dot',879.0,138.0).
domain('StateNode4','dotpos','dot',879.0,283.0).
domain('StateNode5','sdbpos','pl',885.0,424.0).
domain('StateNode6','sdbnopos*sdbpos','pl',723.0,241.0).
domain('StateNode7','class','violet',41.0,239.0).
domain('StateNode8','vpl','pl',325.0,240.0).
domain('StateNode9','sdbnopos','pl',578.0,251.0).

%table(arrow,[id,"name","startId","endId"]).
arrow(id1,'yuml2ypl','StateNode0','StateNode1').
arrow(id2,'ypl2yuml','StateNode1','StateNode0').
arrow(id3,'ypl2sdb','StateNode1','StateNode2').
arrow(id4,'sdb2ypl','StateNode2','StateNode1').
arrow(id5,'sdb2dotgraph','StateNode2','StateNode3').
arrow(id6,'sdb2dot','StateNode2','StateNode3').
arrow(id7,'kieler','StateNode3','StateNode4').
arrow(id8,'dotpos2sdbpos','StateNode4','StateNode5').
arrow(id9,'fix','StateNode6','StateNode2').
arrow(id10,'sdb2vpl','StateNode2','StateNode8').
arrow(id11,'vpl2violet','StateNode8','StateNode7').
arrow(id12,'violet2vpl','StateNode7','StateNode8').
arrow(id13,'vpl2sdb','StateNode8','StateNode2').
arrow(id14,'project','StateNode2','StateNode9').

