%merging of prolog files

dbase(violet,[endPoint,violetMiddleLabels,violetClassImplements,violetInterfaceExtends,violetAssociation,violetInterface,violetClass]).

table(violetClass,[id,"name","fields","methods",x,y]).
table(violetInterface,[id,"name","methods",x,y]).
table(violetAssociation,[id,"role1",arrow1,"type1","role2",arrow2,"type2","lineStyle",cid1,cid2]).
table(violetInterfaceExtends,[id,idb,idx]).
table(violetClassImplements,[id,cid,iid]).
table(violetMiddleLabels,[id,"label",cid1,cid2]).
table(endPoint,[id]).

tuple(violetClass,L):-violetClass(A,B,C,D,E,F),L=[A,B,C,D,E,F].
tuple(violetInterface,L):-violetInterface(A,B,C,D,E),L=[A,B,C,D,E].
tuple(violetAssociation,L):-violetAssociation(A,B,C,D,E,F,G,H,I,J),L=[A,B,C,D,E,F,G,H,I,J].
tuple(violetInterfaceExtends,L):-violetInterfaceExtends(A,B,C),L=[A,B,C].
tuple(violetClassImplements,L):-violetClassImplements(A,B,C),L=[A,B,C].
tuple(violetMiddleLabels,L):-violetMiddleLabels(A,B,C,D),L=[A,B,C,D].
tuple(endPoint,L):-endPoint(A),L=[A].


% inheritance relationships

endPointI(A1):-violetClass(A1,_,_,_,_,_).
endPointI(A1):-violetInterface(A1,_,_,_,_).
