/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package CatLite;

import CatCore.ConformanceError;
import CatCore.ExecutionError;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class StateVioletParserTest {

    @Test
    public void test1() {
        basicGood("c1");
    }
    
    @Test
    public void test2() {
        basicBad("c2");
    }

    @Test
    public void test3() {
        basicBad("c3");
    }

    @Test
    public void test4() {
        basicBad("c4");
    }

    @Test
    public void test5() {
        basicBad("c5");
    }

    @Test
    public void test6() {
        basicBad("c6");
    }

    @Test
    public void test7() {
        basicBad("c7");
    }

    @Test
    public void test8() {
        basicBad("c8");
    }

    @Test
    public void test9() {
        basicGood("c9");
    }

    public void basicGood(String fileName) {
        Utility.init();
        try {
            CatCore.Main.main("TestData/stateVioletParser/" + fileName + ".state.violet", "run", "parse");
        } catch (ExecutionError | ConformanceError e) {
            System.out.println(e.getMessage());
            System.out.println("exeption " + e.getClass().getName());
            assert (false);
            return;
        }
        RegTest.Utility.validate("TestData/stateVioletParser/" + fileName + ".lite.pl",
                "Correct/stateVioletParser/" + fileName + ".lite.pl", false);
    }

    public void basicBad(String name) {
        Utility.init();
        try {
            CatCore.Main.main("TestData/stateVioletParser/" + name + ".state.violet", "run", "parse");
        } catch (ConformanceError e) {
            Utility.validate(CatCore.Main.conformMsgFile(),
                    "Correct/stateVioletParser/" + name + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/stateVioletParser/" + name + ".txt", false);
            return;
        } catch (Exception e) {
            System.out.println(e.getMessage());
            System.out.println("exeption " + e.getClass().getName());
            assert (false);
            return;
        }

    }
}
