package CatLite.categoryVioletParser;

import RegTest.Utility;
import java.io.File;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class MainTest {

    @Test
    public void test0() { 
       doit("myapp0");
    }
    
    @Test
    public void test1() { 
       doit("myapp1");
    }
    
    @Test
    public void test22() { 
       doit("myapp2");
    }
    
    @Test
    public void test2() { 
       doit("cat");
    }
    
    @Test
    public void test3() { 
       doit("cat1");
    }
    
    void doit( String fileName ) {
        File p;
        p = new File(CatCore.Main.conMsgFile);
        p.delete();
        p = new File(CatCore.Main.errMsgFile);
        p.delete();
        
        Utility.init();
            Main.main(
                    "TestData/categoryVioletParser/" + fileName + ".state.violet", 
                    "TestData/categoryVioletParser/" + fileName + ".vpl.pl");
        p = new File(CatCore.Main.conMsgFile);
        if (p.length() != 0) {
            Utility.validate(CatCore.Main.conMsgFile,
                    "Correct/categoryVioletParser/" + fileName + "CCC.txt", false);
            return;
        }
        p = new File(CatCore.Main.errMsgFile);
        if (p.length() !=0 ) {
            Utility.validate(CatCore.Main.errMsgFile,
                    "Correct/categoryVioletParser/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/categoryVioletParser/" + fileName + ".vpl.pl",
                "Correct/categoryVioletParser/" + fileName + ".vpl.pl", false);
    }

    
}
