:-style_check(-discontiguous).

table(pos,[id,x,y,"cid"]).
pos(c1,0,0,'Customer').
pos(c4,0,0,'Address').
pos(c3,0,0,'Billing Address').
pos(c2,0,0,'Order').
pos(c6,0,0,'Location').
pos(c0,0,0,'Batory').
pos(c5,0,0,'Company').

table(entity,[id]).
entity(c1).
entity(c4).
entity(c3).
entity(c2).
entity(c6).
entity(c0).
entity(c5).

table(classImplements,[id,cid,iid]).
:- dynamic classImplements/3.

table(interfaceExtends,[id,base,extends]).
:- dynamic interfaceExtends/3.

table(interface,[id,"name","methods"]).
:- dynamic interface/3.

table(association,[id,"role1",arrow1,"role2",arrow2,cid1,cid2]).
association(null,'1',agg,'*',arrow,c1,c2).
association(null,'',none,'',arrow,c1,c3).
association(null,'1',none,'0..*',none,c1,c4).
association(null,'',none,'billing ',arrow,c2,c4).
association(null,'',none,'shipping ',arrow,c2,c4).
association(null,'',agg,'1',arrow,c5,c6).

table(class,[id,"name","fields","methods",superid]).
class(c1,'Customer','','',null).
class(c4,'Address','','',null).
class(c3,'Billing Address','','',null).
class(c2,'Order','','',null).
class(c6,'Location','','',null).
class(c0,'Batory','','',null).
class(c5,'Company','','',null).

