:-style_check(-discontiguous).

table(pos,[id,x,y,"cid"]).
pos(c3,0,0,'Customer').
pos(c5,0,0,'Address').
pos(c6,0,0,'Billing Address').
pos(c4,0,0,'Order').
pos(c2,0,0,'Location').
pos(c0,0,0,'Batory').
pos(c1,0,0,'Company').

table(entity,[id]).
entity(c3).
entity(c5).
entity(c6).
entity(c4).
entity(c2).
entity(c0).
entity(c1).

table(classImplements,[id,cid,iid]).
:- dynamic classImplements/3.

table(interfaceExtends,[id,base,extends]).
:- dynamic interfaceExtends/3.

table(interface,[id,"name","methods"]).
:- dynamic interface/3.

table(association,[id,"role1",arrow1,"role2",arrow2,cid1,cid2]).
association(null,'',agg,'1',arrow,c1,c2).
association(null,'1',agg,'*',arrow,c3,c4).
association(null,'',none,'billing',arrow,c4,c5).
association(null,'',none,'0..*',arrow,c3,c5).
association(null,'shipping',none,'',arrow,c4,c5).
association(null,'',none,'',arrow,c3,c6).

table(class,[id,"name","fields","methods",superid]).
class(c3,'Customer','','',null).
class(c5,'Address','','',null).
class(c6,'Billing Address','','',null).
class(c4,'Order','','',null).
class(c2,'Location','','',null).
class(c0,'Batory','','',null).
class(c1,'Company','','',null).

