post%dbase(catdb,[arrowtype,path,domain,arrow,atp]).

%table(arrowtype,[id,"name",type,"exe"]).
arrowtype(at0,'yuml2ypl',java,'MDELite.classYumlParser.Main').
arrowtype(at1,'ypl2yuml',vm,'ypl2yuml.vm').
arrowtype(at2,'ypl2sdb',pl,'ypl2sdb.pl').
arrowtype(at3,'sdb2ypl',pl,'sdb2ypl.pl').
arrowtype(at4,'violet2vpl',java,'CatLite.classVioletParser.Main').
arrowtype(at5,'vpl2violet',vm,'vpl2violet.vm').
arrowtype(at6,'vpl2sdb',pl,'vpl2sdb.pl').
arrowtype(at7,'sdb2vpl',pl,'sdb2vpl.pl').
arrowtype(at8,'fix',pl,'fix.pl').
arrowtype(at9,'sdb2dotgraph',vm,'sdb2dot.vm').
arrowtype(at10,'sdb2dot',vm,'sdb2dot.vm').
arrowtype(at11,'kieler',java,'CatCore.Positioner.Kieler').
arrowtype(at12,'dotpos2sdbpos',java,'MDELite.dot2sdb').
arrowtype(at13,'project',pl,'project.pl').

%table(path,["path"]).
path('yuml2hub = yuml2ypl.ypl2sdb.project.sdb2dot.kieler.dotpos2sdbpos.sdb+S.fix;').
path('class2hub = violet2vpl.vpl2sdb;').
path('hub2yuml = sdb2ypl.ypl2yuml;').
path('hub2class = sdb2vpl.vpl2violet;').
path('yuml2class=yuml2hub.sdb+S.hub2class;').
path('class2yuml=class2hub.sdb+S.hub2yuml;').
path('yumlLoop=yuml2ypl.ypl+L.ypl2yuml;').
path('classLoop=violet2vpl.vpl+L.vpl2violet;').
path('yumlRoundTrip = yuml2hub.sdb+S.hub2yuml;').
path('classRoundTrip = class2hub.sdb+S.hub2class;').



%table(domain,["id","name","ext",x,y]).
domain('StateNode0','yuml','yuml',46.0,84.0).
domain('StateNode1','ypl','pl',325.0,84.0).
domain('StateNode2','sdb','pl',643.0,84.0).
domain('StateNode3','dotgraph','dot',879.0,138.0).
domain('StateNode4','dotpos','dot',879.0,283.0).
domain('StateNode5','sdbpos','pl',885.0,424.0).
domain('StateNode6','sdbnopos*sdbpos','null',723.0,241.0).
domain('StateNode7','class','violet',41.0,239.0).
domain('StateNode8','vpl','pl',325.0,240.0).
domain('StateNode9','sdbnopos','pl',578.0,251.0).

%table(arrow,[id,"name","startId","endId"]).
arrow(id1,'yuml2ypl','StateNode0','StateNode1').
arrow(id2,'ypl2yuml','StateNode1','StateNode0').
arrow(id3,'ypl2sdb','StateNode1','StateNode2').
arrow(id4,'sdb2ypl','StateNode2','StateNode1').
arrow(id5,'sdb2dotgraph','StateNode2','StateNode3').
arrow(id6,'sdb2dot','StateNode2','StateNode3').
arrow(id7,'kieler','StateNode3','StateNode4').
arrow(id8,'dotpos2sdbpos','StateNode4','StateNode5').
arrow(id9,'fix','StateNode6','StateNode2').
arrow(id10,'sdb2vpl','StateNode2','StateNode8').
arrow(id11,'vpl2violet','StateNode8','StateNode7').
arrow(id12,'violet2vpl','StateNode7','StateNode8').
arrow(id13,'vpl2sdb','StateNode8','StateNode2').
arrow(id14,'project','StateNode2','StateNode9').

%table(atp,[aid,io,"domain"]).
atp(id1,o,'StateNode1').
atp(id1,i,'StateNode0').
atp(id2,o,'StateNode0').
atp(id2,i,'StateNode1').
atp(id3,o,'StateNode2').
atp(id3,i,'StateNode1').
atp(id4,o,'StateNode1').
atp(id4,i,'StateNode2').
atp(id5,o,'StateNode3').
atp(id5,i,'StateNode2').
atp(id6,o,'StateNode3').
atp(id6,i,'StateNode2').
atp(id7,o,'StateNode4').
atp(id7,i,'StateNode3').
atp(id8,o,'StateNode5').
atp(id8,i,'StateNode4').
atp(id9,o,'StateNode2').
atp(id9,i,'StateNode6').
atp(id10,o,'StateNode8').
atp(id10,i,'StateNode2').
atp(id11,o,'StateNode7').
atp(id11,i,'StateNode8').
atp(id12,o,'StateNode8').
atp(id12,i,'StateNode7').
atp(id13,o,'StateNode2').
atp(id13,i,'StateNode8').
atp(id14,o,'StateNode9').
atp(id14,i,'StateNode2').

