%merging of prolog files

dbase(sdb,[pos,entity,classImplements,interfaceExtends,interface,association,class]).

table(class,[id,"name","fields","methods",superid]).
table(association,[id,"role1",arrow1,"role2",arrow2,cid1,cid2]).
table(interface,[id,"name","methods"]).
table(interfaceExtends,[id,base,extends]).
table(classImplements,[id,cid,iid]).
table(entity,[id]).
table(pos,[id,x,y,"cid"]).

tuple(class,L):-class(A,B,C,D,E),L=[A,B,C,D,E].
tuple(association,L):-association(A,B,C,D,E,F,G),L=[A,B,C,D,E,F,G].
tuple(interface,L):-interface(A,B,C),L=[A,B,C].
tuple(interfaceExtends,L):-interfaceExtends(A,B,C),L=[A,B,C].
tuple(classImplements,L):-classImplements(A,B,C),L=[A,B,C].
tuple(entity,L):-entity(A),L=[A].
tuple(pos,L):-pos(A,B,C,D),L=[A,B,C,D].


% inheritance relationships

entityI(A1):-class(A1,_,_,_,_).
entityI(A1):-interface(A1,_,_).
