/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package MDELite;

import CatCore.AdviceUtilities;
import CatCore.ExeMethods;
import java.io.FileNotFoundException;
import javax.swing.JOptionPane;

/**
 *
 * @author dsb
 */
public class Advice extends AdviceUtilities {

    // this program is written for dummies (like myself) who need help
    // to create a CatLite metamodel.  There are no arguments to main()
    public static void main(String... args) throws FileNotFoundException {
        String browser;
        int response;

        // Step 1: what do you want to do?
        String[] choices = {"validate violet class diagram", "validate yuml class diagram", "convert Violet-to-yuml", "convert yuml-to-violet", "none of these"};
        response = JOptionPane.showOptionDialog(
                null // Center in window.
                , "What do you want to do?" // Message
                , "MDE Application" // Title in titlebar
                , JOptionPane.YES_NO_OPTION // Option type
                , JOptionPane.PLAIN_MESSAGE // messageType
                , null // Icon (none)
                , choices // Button text as above.
                , "none of these" // Default button's label
        );

        switch (response) {
            case 0: // validate violet class diagram
                if (!isVarPresent("class")) {
                    post("use violet to create a class diagram and enter \nit"
                            + " into the table as the value for the class domain", "class");
                    ExeMethods.silentExe("java", "com.horstmann.violet.UMLEditor");
                    return;
                }
                if (!executeArrowByName("violet2vpl", "fix the errors in your diagram", "class")) {
                    done("diagram validated");
                }
                break;
            case 1: // validate yuml class diagram
                if (!isVarPresent("yuml")) {
                    post("use http://yuml.me to create a class diagram and enter \nits"
                            + "file into the table as the value for the class domain", "yuml");
                    browser = System.getenv("BROWSER_EXE");
                    if (browser != null) {
                        ExeMethods.silentExe("chrome");
                    }
                    return;
                }
                if (!executeArrowByName("yuml2ypl", "fix the errors in your diagram", "yuml")) {
                    done("diagram validated");
                }
                break;
            case 2: // convert Violet-to-yuml
                if (!isVarPresent("class")) {
                    post("use violet to create a class diagram and enter \nit"
                            + " into the table as the value for the class domain", "class");
                    ExeMethods.silentExe("java", "com.horstmann.violet.UMLEditor");
                    return;
                }
                if (!executeArrowByName("class2yuml", "fix the errors in your diagram", "class")) {
                    done("diagram converted");
                }
                break;
            case 3: // convert yuml-to-violet
                if (!isVarPresent("yuml")) {
                    post("use http://yuml.me to create a class diagram and enter \nits"
                            + "file into the table as the value for the class domain", "class");
                    browser = System.getenv("BROWSER_EXE");
                    if (browser != null) {
                        ExeMethods.silentExe(browser);
                    }
                    return;
                }
                if (!executeArrowByName("yuml2class", "fix the errors in your diagram", "yuml")) {
                    done("diagram converted");
                }
                break;
            case 4: // none of these
                break;
        }
    }

}
