/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package MDELite.classYumlParser;

import CatCore.ConformanceError;
import CatCore.ExecutionError;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class MainTest {

    @Test
    public void Main1() {
        doit("wLinks");
    }
    
    @Test
    public void Main2() {
        doit("noLinks");
    }

//    for debugging only
//    public void Main2() {
//        doit("YConform/onlyNodes");
//    }

    public void doit(String fileName) {
        Utility.init();
        String[] args = {"TestData/classYumlParser/" + fileName + ".yuml.yuml", 
            "TestData/classYumlParser/" + fileName + ".ypl.pl"};
        try {
            MDELite.classYumlParser.Main.main(args);
        } catch (ConformanceError e) {
            Utility.validate(CatCore.Main.conMsgFile,
                    "Correct/classYumlParser/" + fileName + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errMsgFile,
                    "Correct/classYumlParser/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/classYumlParser/" + fileName + ".ypl.pl",
                "Correct/classYumlParser/" + fileName + ".ypl.pl", true);
    }

}
