/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package MDELiteTests;

import CatCore.ConformanceError;
import CatCore.ExecutionError;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class VRoundTripTest {
    
    @Test
    public void Main1() {
        doit("noLinks");
    }
    
    @Test
    public void Main2() {
        doit("wLinks");
    }
   
    @Test
    public void Main3() {
        doit("violet");
    }

    public void doit(String filename) {
        shortTrip(filename);
        longTrip(filename);
    }

    public void longTrip(String fileName) {
        Utility.init();
        String[] args = {"TestData/VRoundTrip/" + fileName + ".class.violet","run", "classRoundTrip" };
        try {
            CatCore.Main.main(args);
        } catch (ConformanceError e) {
            Utility.validate("conformance.txt",
                    "Correct/VRoundTrip/" + fileName + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/VRoundTrip/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/VRoundTrip/" + fileName + "S.class.violet",
                "Correct/VRoundTrip/" + fileName + "S.class.violet", false);
    }
    
    public void shortTrip(String fileName) {
        Utility.init();
        String[] args = {"TestData/VRoundTrip/" + fileName + ".class.violet", "run", "classLoop" };
        try {
            CatCore.Main.main(args);
        } catch (ConformanceError e) {
            Utility.validate(CatCore.Main.conformMsgFile(),
                    "Correct/VRoundTrip/" + fileName + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/VRoundTrip/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/VRoundTrip/" + fileName + "L.class.violet",
                "Correct/VRoundTrip/" + fileName + "L.class.violet", false);
    }
}
