/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package MDELiteTests;

import CatCore.ConformanceError;
import CatCore.ExecutionError;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class Y2VTest {
    
    @Test
    public void Main0() {
        doit("1Standard");
    }
    
    @Test   
    public void Main1() {
        doit("noLinks");
    }
    
    @Test
    public void Main2() {
        doit("wLinks");
    }
   
    @Test 
    public void Main3() {
        doit("Notepad");
    }
    
    public void doit(String filename) {
        Utility.init();
        try {
            CatCore.Main.main("TestData/Y2V/" + filename + ".yuml.yuml","run", "yuml2class");
        } catch (ConformanceError | ExecutionError e ) {
            System.err.println("check for conformance or execution error -- should not have happened");
            assert(false);
        }
        Utility.validate("TestData/Y2V/" + filename + "S.class.violet",
                "Correct/Y2V/" + filename + "S.class.violet", true);
    }
    
//    /* for direct debugging purposes */
//    @Test
//    public void direct() {
//        String fileName = "Notepad";
//        String[] args = {"TestData/Y2V/" + fileName + ".yuml.yuml","TestData/Y2V/" + fileName + ".ypl.pl" };
//        try {
//            MDELite.classYumlParser.Main.main(args);
//        } catch (Exception e) {
//            assert(false);
//            return;
//        }
//        assert(true);
//    }
}
