package MDELiteTests;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
import CatCore.ConformanceError;
import CatCore.ExecutionError;
import RegTest.Utility;
import java.io.File;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class YConformTest {

    @Test
    public void testMain1() {
        doit("onlyNodes", true);
    }
    
    @Test
    public void testMain2() {
        doit("onlyNodes2", true);
    }
    
    @Test
    public void testMain3() {
        doit("inh", true);
    }

    @Test
    public void testMain4() {
        doit("cycles", true);
    }


    public void doit(String name, boolean sorted) {
        Utility.init();
        String[] args = {"TestData/YConform/" + name + ".yuml.yuml", "run", "yuml2ypl"};
        try {
            CatCore.Main.main(args);
        } catch (ExecutionError e ) {
            Utility.validate(CatCore.Main.errorMsgFile(), "Correct/YConform/" + name + ".txt", sorted);
            return;
        } catch (ConformanceError e ) {
          Utility.validate(CatCore.Main.conformMsgFile(), "Correct/YConform/" + name + "CCC.txt", sorted);
            return;
        }
        System.err.println("No errors found!");
        assert(false);
    }
    
//    @Test
//    public void testDirect2() {
//        direct("onlyNodes2", false);
//    }
//    
    public void direct(String name, boolean sorted) {
        Utility.init();
        String[] args = {"TestData/YConform/" + name + ".yuml.yuml", "TestData/YConform/" + name + ".ypl.pl"};
        try {
            MDELite.classYumlParser.Main.main(args);
            File e = new File(CatCore.Main.errMsgFile);
            if (e.length() != 0) {
                Utility.validate(CatCore.Main.errMsgFile, "Correct/YConform/" + name + ".txt", sorted);
                return;
            }
            File c = new File(CatCore.Main.conMsgFile);
            if (c.length() != 0) {
                Utility.validate(CatCore.Main.errMsgFile, "Correct/YConform/" + name + "CCC.txt", sorted);
                return;
            }
            Utility.validate("TestData/YConform/" + name + ".ypl.pl", "Correct/YConform/" + name + ".ypl.pl", sorted);
        } catch (Exception e ) {
             assert(false);
        }
    }
}
