:- discontiguous table/2.

dbase(catdb,[arrowtype,path,domain,arrow,atp]).

%table(arrowtype,[id,"name",type,"exe"]).
arrowtype(at0,'stateVioletParser',java,'CatLite.categoryVioletParser.Main').
arrowtype(at1,'validate',java,'CatLite.Validate').
arrowtype(at2,'class2vpl',java,'MDELite.classVioletParser.Main').
arrowtype(at3,'vpl2schema',vm,'vpl2schema.vm').
arrowtype(at4,'inherit',pl,'inherit.pl').
arrowtype(at5,'merge',java,'CatCore.Merge').

%table(path,["path"]).
path('toSchemaNIR = class2vpl.vpl2schema;').
path('makeSchema = toSchemaNIR.inherit.merge;').

%table(domain,["id","name","ext",x,y]).
domain('StateNode0','state','violet',81.0,384.0).
domain('StateNode1','lite','pl',351.0,390.0).
domain('StateNode2','bool','txt',601.0,384.0).
domain('StateNode3','class','violet',80.0,250.0).
domain('StateNode4','schemaNIR','pl',509.0,246.0).
domain('StateNode5','vpl','pl',296.0,250.0).
domain('StateNode6','vpl*schemaNIR','pl',90.0,130.0).
domain('StateNode7','inherit','pl',317.0,130.0).
domain('StateNode8','schemaNIR*inherit','pl',498.0,50.0).
domain('StateNode9','schema','pl',712.0,245.0).

%table(arrow,[id,"name","startId","endId"]).
arrow(id1,'stateVioletParser','StateNode0','StateNode1').
arrow(id2,'validate','StateNode1','StateNode2').
arrow(id3,'vpl2schema','StateNode5','StateNode4').
arrow(id4,'class2vpl','StateNode3','StateNode5').
arrow(id5,'inherit','StateNode6','StateNode7').
arrow(id6,'merge','StateNode8','StateNode9').

%table(atp,[aid,io,"domain"]).
atp(id1,o,'StateNode1').
atp(id1,i,'StateNode0').
atp(id2,o,'StateNode2').
atp(id2,i,'StateNode1').
atp(id3,o,'StateNode4').
atp(id3,i,'StateNode5').
atp(id4,o,'StateNode5').
atp(id4,i,'StateNode3').
atp(id5,o,'StateNode7').
atp(id5,i,'StateNode6').
atp(id6,o,'StateNode9').
atp(id6,i,'StateNode8').

