/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CatCore;

import java.io.File;
import javax.swing.JOptionPane;

/**
 *
 * @author dsb
 */
public abstract class AdviceUtilities {

    public static void deleteFiles(String... args) {
        for (String a : args) {
            File f = new File(a);
            f.delete();
        }
    }

    public static boolean errorFree() {
        File e = new File(CatCore.Main.errorMsgFile());
        if (e.length() != 0) {
            return false;
        }
        File c = new File(CatCore.Main.conformMsgFile());
        return c.length() == 0;
    }

    public static void post(String msg, String hiliteDomain) {
        CatGui.Main.theGui.hiliteDomain = hiliteDomain;
        JOptionPane.showMessageDialog(null,
                msg,
                "What To Do Next",
                JOptionPane.INFORMATION_MESSAGE);
    }
    
    public static void done(String msg) {
        JOptionPane.showMessageDialog(null,
                msg,
                "Task Completed!",
                JOptionPane.INFORMATION_MESSAGE);
    }

    public static boolean isVarPresent(String domain) {
        return (Var.get(domain) != null);
    }

    public static File getLocalFile(String domainName, String rest) {
        return new File(CatCore.Main.CURRENT_DIRECTORY + domainName + rest);
    }

    public static boolean executeArrowByName(String arrowName, String msg, String hiliteDomain) {
        try {
            CatGui.Main.theGui.executeArrowByName(arrowName);
        } catch (Exception e) {
        }
        if (!errorFree()) {
            post(msg,hiliteDomain);
            return true;  // means failed
        }
        return false;    // means succeeded
    }
}
