/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package CatCore.Arrows;

import CatCore.CTO;
import CatCore.ConformanceError;
import CatCore.ExecutionError;
import CatCore.Var;

/**
 *
 * @author dsb
 */
public class ArrowConform extends Arrow {
    
    public ArrowConform(String name, String domain, String range) {
        super(name, domain, range);
    }
    
    @Override
    public void execute() throws ExecutionError, ConformanceError {
        CTO input = Var.get(domains[0],this);
        input.conform();
    }
   
    // nothing to do at this time for validation, other than 
    // what is done for arrows in general.
    
    @Override
    public void startComputingIOArray() {
        setSchemaAndConform();
        CatGui.MainGui.arrowFile = null;
        computePartialIoArray();
    }
}
