/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package CatCore;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintStream;

/**
 *
 * @author dsb
 */
public class Merge {
    
    public static void main(String[] args) {
        String[] fileArray;
        
        if (args.length<2) {
            marquee();
        }
        
        int size = args.length-1;
        fileArray = new String[size];
        System.arraycopy(args, 0, fileArray, 0, size);
        
        merge("%merging of prolog files", fileArray, args[size],System.err);
    }
    
    public static void marquee() {
        String msg = "Usage Merge <file1> ... <filen> <mergedfilename>";
        System.err.println(msg);
        throw new ExecutionError("C17: "+msg);
    }
    
    public static void merge(String commentHeader, String[] listOfFileNames, String outputFile, PrintStream eps) {
        PrintStream ps;
        try {
            File f = new File(outputFile);
            ps = new PrintStream(f);
            //System.out.println("...."+ tmp);
            ps.format("%s\n\n", commentHeader);
            for (String fileName : listOfFileNames) {
                addOn(fileName, ps);
            }
            ps.flush();
            ps.close();
        } catch (FileNotFoundException e) {
            throw new ExecutionError("C18: unable to open " + outputFile);
        }
    }
        
    static void addOn(String filename, PrintStream ps) {
        try {
            BufferedReader br = new BufferedReader(new FileReader(filename));
            while (true) {
                String line = br.readLine();
                if (line == null) {
                    break;
                }
                ps.format("%s\n", line);
            }
        } catch (IOException e) {
            Main.error("file not found: " + filename);
        }
    }
}
