/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package CatCore;

import CatCore.Arrows.AorP;
import CatCore.Domains.Domain;
import java.util.HashMap;
import java.util.Stack;

/**
 *
 * @author dsb
 */
public class StateStack {

    static Stack<StateStack> catLiteStack = new Stack<>();

    public static void init() {
        catLiteStack = new Stack<>();
        initAll();
    }

    public static void push() {
        StateStack current = new StateStack();
        catLiteStack.push(current);
        initAll();
    }

    public static void initAll() {
        Var.clear();
        AorP.init();
        Domain.init();
    }

    public static void pop() {
        StateStack previous = catLiteStack.pop();
        Var.putContents(previous.getVar());
        AorP.putContents(previous.getArr());
        Domain.putContents(previous.getDom());
    }
    
    //------------------- instance code ----------------
    HashMap<String, CTO> varContents;
    HashMap<String, Domain> domainContents;
    HashMap<String, AorP> arrowContents;

    StateStack() {
        varContents = Var.getContents();
        domainContents = Domain.getContents();
        arrowContents = AorP.getContents();
    }

    public HashMap<String, CTO> getVar() {
        return varContents;
    }

    public HashMap<String, Domain> getDom() {
        return domainContents;
    }

    public HashMap<String, AorP> getArr() {
        return arrowContents;
    }
}
