/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package CatCore;

import CatCore.Arrows.AorP;
import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author dsb variable array
 */
public class Var implements java.io.Serializable{

    private static HashMap<String, CTO> array = new HashMap<>();

    // for state stacks
    public static HashMap<String, CTO> getContents() {
        return array;
    }

    public static void putContents(HashMap<String, CTO> x) {
        array = x;
    }

    public static void clear() {
        array = new HashMap<>();
    }

    public static void dump() {
        System.out.println("Dump of Var array contents");
        for (Map.Entry<String, CTO> c : array.entrySet()) {
            System.out.println(c.getKey() + " " + c.getValue().fullName());
        }
        System.out.println();
    }

    public static CTO put(String key, CTO o) {
        array.remove(key);
        array.put(key, o);
        return o;
    }

    public static CTO put(CTO o) {
        array.remove(o.dom());
        array.put(o.dom(), o);
        return o;
    }

    public static CTO put(String fullFileName) {
        CTO o = CTO.make(fullFileName);
        return put(o);
    }
    
    public static CTO get(String key) {
        return array.get(key);
    }

    public static CTO get(String key, AorP arrow) throws ExecutionError {
        CTO result = array.get(key);
        if (result == null) {
            throw new ExecutionError("C21: domain " + key + " argument is absent/null for arrow " + arrow.name());
        }
        return result;
    }

    public static void remove(String key) {
        array.remove(key);
    }
}
