package CatCore.vm2t;

import CatCore.ReadPrologDatabase;
import org.apache.velocity.VelocityContext;

public class DefaultContextGenerator implements ContextGenerator {

  @Override
  public VelocityContext generateContext(ReadPrologDatabase m, String outputFileName) {
    VelocityContext context = new VelocityContext();
    for (String tableName : m.tables.keySet()) {
      context.put(tableName, m.tables.get(tableName));
    }
    int indx = m.fileName.indexOf('.');
    context.put("Vm2tInFileName", m.fileName.substring(0,indx));
    context.put("OutputFileName", outputFileName);
    return context;
  }

}
