/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CatGui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.GridLayout;
import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;

/**
 *
 * @author dsb
 */
public class PredefinedPaths extends JFrame {

   // Atomic Component declarations
    JList<String> JList;
    String[] data = {"Boris", "Natasha", "Moose", "Squirrel"};
//   DefaultListModel Model;

    public void initAtoms() {

        JList = new JList(data);
        JList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        //rightHandList.setVisibleRowCount(4);
    }

   // layout component declarations
    JScrollPane ScrollPane;

    public void initLayout() {

      // layout consists of two scrolled lists
        ScrollPane = new JScrollPane(JList);
        ScrollPane.setPreferredSize(new Dimension(250, 80));
    }

    public void initContentPane() {
     // ContentPane uses a GridLayout of a single row
        // where list and picture are stored

        JPanel ContentPane = new JPanel();
        ContentPane.setLayout(new GridLayout(1, 0));
        ContentPane.setBorder(BorderFactory.createEtchedBorder());
        ContentPane.add(ScrollPane, BorderLayout.CENTER);

    }
    static boolean nowUpdating = false;

    class listListener implements ListSelectionListener {

        public void valueChanged(ListSelectionEvent e) {

         // act only when the value is not rapidly changing
            if (e.getValueIsAdjusting()) {
                return;
            }

         // do nothing if nothing was selected or we're
            // in the middle of updating lists.
            // however if something was selected, remove it and 
            // add it to the companion
            int index = JList.getSelectedIndex();

            String value = data[index];
            System.out.println(value);
        }
    }

    public void initListeners() {

      // the companion to the listener is leftHandList;
        // the companion to the leftListener is rightHandlist;
//      listListener listener  = new listListener();
//
//      JList.addListSelectionListener(listener);
    }

    public PredefinedPaths() {
        super();
    }

    public PredefinedPaths(String AppTitle) {
        super(AppTitle);
    }

    public static void main(String args[]) {

        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;

                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(MainGui.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(MainGui.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(MainGui.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(MainGui.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                PredefinedPaths theGui = new PredefinedPaths("PredefinedPaths");
                theGui.setTitle("Predefined Arrows");
                theGui.setSize(300, 100);
                theGui.setVisible(true);
            }
        });

    }
}
