/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package CatLite;

import CatCore.ConformanceError;
import CatCore.ExecutionError;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class Class2schemaTest {

    @Test
    public void Main1() {
        doit("vpl");
    }

    @Test
    public void Main2() {
        doit("sdb");
    }

    @Test
    public void Main3() {
        doit("sdbnopos");
    }

    @Test
    public void Main4() {
        doit("violet");
    }

    @Test
    public void Main5() {
        doit("ypl");
    }

    @Test
    public void Main6() {
        doit("sdbpos");
    }
    
    public void doit(String fileName) {
        makeVplAndSchema(fileName);
        makeInherit(fileName);
        makeSchema(fileName);
    }

    public void makeVplAndSchema(String fileName) {
        Utility.init();
        try {
            CatCore.Main.main("TestData/class2schema/" + fileName + ".class.violet", "run", "class2vpl", "vpl2schema");
        } catch (ConformanceError e) {
            Utility.validate(CatCore.Main.conformMsgFile(),
                    "Correct/class2schema/" + fileName + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            System.err.println(e.getMessage());
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/class2schema/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/class2schema/" + fileName + ".schemaNIR.pl",
                "Correct/class2schema/" + fileName + ".schemaNIR.pl", false);
    }

    public void makeInherit(String fileName) {
        Utility.init();
        try {
            CatCore.Main.main("TestData/class2schema/" + fileName + ".schemaNIR.pl",
                              "TestData/class2schema/" + fileName + ".vpl.pl",
                              "run", "inherit");
        } catch (ConformanceError e) {
            Utility.validate(CatCore.Main.conformMsgFile(),
                    "Correct/class2schema/" + fileName + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/class2schema/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/class2schema/" + fileName + ".inherit.pl",
                "Correct/class2schema/" + fileName + ".inherit.pl", false);
    }

    public void makeSchema(String fileName) {
        Utility.init();
        try {
            CatCore.Main.main("TestData/class2schema/" + fileName + ".class.violet", "run", "class2vpl", "makeSchema");
        } catch (ConformanceError e) {
            Utility.validate(CatCore.Main.conformMsgFile(),
                    "Correct/class2schema/" + fileName + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/class2schema/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/class2schema/" + fileName + ".schema.pl",
                "Correct/class2schema/" + fileName + ".schema.pl", false);
    }
}
