/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package CatLite.classVioletParser;

import CatCore.ConformanceError;
import CatCore.ExecutionError;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class DirectParserTest {
    
    @Test
    public void Main1() {
        doit("noLinks");
    }
    
    @Test
    public void Main2() {
        doit("wLinks");
    }
   
    @Test
    public void Main3() {
        doit("violet");
    }

    @Test
    public void Main4() {
        doit("test1");
    }

    public void doit(String fileName) {
        Utility.init();
        String[] args = {"TestData/v2vpl/" + fileName + ".class.violet","TestData/v2vpl/" + fileName + ".vpl.pl" };
        try {
            CatLite.classVioletParser.Main.main(args);
        } catch (ConformanceError e) {
            Utility.validate("conformance.txt",
                    "Correct/v2vpl/" + fileName + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/v2vpl/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/v2vpl/" + fileName + ".vpl.pl",
                "Correct/v2vpl/" + fileName + ".vpl.pl", false);
    }
    
}
