/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package MDELiteTests;

import CatCore.ConformanceError;
import CatCore.ExecutionError;
import RegTest.Utility;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class YRoundTripTest {
    
    @Test
    public void Main0() {
        doit("1Standard");
    }
    
    @Test   
    public void Main1() {
        doit("noLinks");
    }
    
    @Test
    public void Main2() {
        doit("wLinks");
    }
   
    @Test // fix
    public void Main3() {
        doit("Notepad");
    }
    
//    /* for direct debugging purposes */
//    @Test
//    public void direct() {
//        String fileName = "Notepad";
//        String[] args = {"TestData/YRoundTrip/" + fileName + ".yuml.yuml","TestData/YRoundTrip/" + fileName + ".ypl.pl" };
//        try {
//            MDELite.classYumlParser.Main.main(args);
//        } catch (Exception e) {
//            assert(false);
//            return;
//        }
//        assert(true);
//    }

    public void doit(String filename) {
        shortTrip(filename);
        longTrip(filename);
    }

    public void longTrip(String fileName) {
        Utility.init();
        String[] args = {"TestData/YRoundTrip/" + fileName + ".yuml.yuml","run", "yumlRoundTrip" };
        try {
            CatCore.Main.main(args);
        } catch (ConformanceError e) {
            Utility.validate(CatCore.Main.conformMsgFile(),
                    "Correct/YRoundTrip/" + fileName + "CCC.txt", true);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/YRoundTrip/" + fileName + ".txt", true);
            return;
        }
        Utility.validate("TestData/YRoundTrip/" + fileName + "S.yuml.yuml",
                "Correct/YRoundTrip/" + fileName + "S.yuml.yuml", true);
    }
    
    public void shortTrip(String fileName) {
        Utility.init();
        String[] args = {"TestData/YRoundTrip/" + fileName + ".yuml.yuml", "run", "yumlLoop" };
        try {
            CatCore.Main.main(args);
        } catch (ConformanceError e) {
            Utility.validate(CatCore.Main.conformMsgFile(),
                    "Correct/YRoundTrip/" + fileName + "CCC.txt", false);
            return;
        } catch (ExecutionError e) {
            Utility.validate(CatCore.Main.errorMsgFile(),
                    "Correct/YRoundTrip/" + fileName + ".txt", false);
            return;
        }
        Utility.validate("TestData/YRoundTrip/" + fileName + "L.yuml.yuml",
                "Correct/YRoundTrip/" + fileName + "L.yuml.yuml", true);
    }
}
